This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 986110 - SELinux is preventing /usr/sbin/tmpwatch from 'setattr' accesses on the directory tmp.
SELinux is preventing /usr/sbin/tmpwatch from 'setattr' accesses on the direc...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:d48dc7df139636aa7f0ee19b540...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 21:51 EDT by ricardo
Modified: 2013-07-26 19:05 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-66.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-26 19:05:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ricardo 2013-07-18 21:51:10 EDT
Description of problem:
SELinux is preventing /usr/sbin/tmpwatch from 'setattr' accesses on the directory tmp.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that tmpwatch should be allowed setattr access on the tmp directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep tmpwatch /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:tmpreaper_t:s0-s0:c0.c1023
Target Context                system_u:object_r:print_spool_t:s0
Target Objects                tmp [ dir ]
Source                        tmpwatch
Source Path                   /usr/sbin/tmpwatch
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           tmpwatch-2.11-3.fc19.x86_64
Target RPM Packages           filesystem-3.1-2.fc18.x86_64
                              filesystem-3.2-13.fc19.x86_64
Policy RPM                    selinux-policy-3.11.1-97.fc18.noarch selinux-
                              policy-3.12.1-63.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.9-302.fc19.x86_64 #1 SMP Sat
                              Jul 6 13:41:07 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-07-18 17:40:01 EDT
Last Seen                     2013-07-18 17:40:01 EDT
Local ID                      8eeed7bd-0414-489e-9205-2053b23863ef

Raw Audit Messages
type=AVC msg=audit(1374183601.451:61): avc:  denied  { setattr } for  pid=3750 comm="tmpwatch" name="tmp" dev="dm-2" ino=787438 scontext=system_u:system_r:tmpreaper_t:s0-s0:c0.c1023 tcontext=system_u:object_r:print_spool_t:s0 tclass=dir


type=SYSCALL msg=audit(1374183601.451:61): arch=x86_64 syscall=utime success=no exit=EACCES a0=404257 a1=7fff0f760f80 a2=15000 a3=7fff0f760d10 items=0 ppid=3748 pid=3750 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=2 tty=(none) comm=tmpwatch exe=/usr/sbin/tmpwatch subj=system_u:system_r:tmpreaper_t:s0-s0:c0.c1023 key=(null)

Hash: tmpwatch,tmpreaper_t,print_spool_t,dir,setattr

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.9-302.fc19.x86_64
type:           libreport
Comment 1 Fedora Update System 2013-07-24 10:10:44 EDT
selinux-policy-3.12.1-66.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-66.fc19
Comment 2 Fedora Update System 2013-07-24 20:34:35 EDT
Package selinux-policy-3.12.1-66.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-66.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13543/selinux-policy-3.12.1-66.fc19
then log in and leave karma (feedback).
Comment 3 ricardo 2013-07-25 09:03:11 EDT
thanks for the quick response i will update it as soon as its available and follow up thanks again
Comment 4 Fedora Update System 2013-07-26 19:05:31 EDT
selinux-policy-3.12.1-66.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.